<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/dark_grey"
    tools:context=".Login">

    <ProgressBar
        android:id="@+id/login_progress"
        style="?android:attr/progressBarStyleLarge"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="200dp"
        android:visibility="gone" />

    <TextView
        android:id="@+id/tvLoad"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="25dp"
        android:clickable="true"
        android:focusable="true"
        android:gravity="center_horizontal"
        android:text="@string/loading"
        android:textColor="@color/grass_green"
        android:textStyle="bold"
        android:visibility="gone" />

    <LinearLayout
        android:id="@+id/login_form"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="wrap_content"
            android:layout_height="120dp">

        </androidx.constraintlayout.widget.ConstraintLayout>

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:src="@mipmap/ic_launcher_emobility"/>

        <EditText
            android:id="@+id/etMail"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="20dp"
            android:ems="10"
            android:gravity="center_horizontal"
            android:hint="@string/mail_hint"
            android:inputType="textEmailAddress"
            android:minHeight="48dp"
            android:textColor="@color/white"
            android:textColorHint="@color/white"
            android:autofillHints="" />

        <EditText
            android:id="@+id/etPassword"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="20dp"
            android:ems="10"
            android:gravity="center_horizontal"
            android:hint="@string/password_hint"
            android:inputType="textPassword"
            android:minHeight="48dp"
            android:textColor="@color/white"
            android:textColorHint="@color/white"
            android:autofillHints="" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="horizontal">

            <Button
                android:id="@+id/btnLogin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="5dp"
                android:layout_marginBottom="10dp"
                android:layout_weight="1"
                android:background="@drawable/buttons"
                android:text="@string/login_btn"
                android:textColor="@color/white"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btnRegister"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:layout_marginEnd="20dp"
                android:layout_marginBottom="10dp"
                android:layout_weight="1"
                android:background="@drawable/buttons"
                android:text="@string/register_btn"
                android:textColor="@color/white"
                android:textStyle="bold" />
        </LinearLayout>

        <TextView
            android:id="@+id/tvReset"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:clickable="true"
            android:gravity="center_horizontal"
            android:minHeight="48dp"
            android:text="@string/password_reset"
            android:textColor="@color/white" />
    </LinearLayout>

</LinearLayout>